Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.webservice
Class BatchFTPWebService

    java.lang.Object
      com.stc.connector.batchadapter.webservice.BatchFTPWebService

    public class BatchFTPWebService

extends java.lang.Object

This class is the BatchFTPWebService.

Constructor Summary
`BatchFTPWebService(com.stc.connector.appconn.common.ApplicationConnectionFactory acf, java.lang.String collabOID, java.lang.String connName, java.lang.String etdClassName)` constructor for "manual mode" handling
`BatchFTPWebService(java.lang.Object app)` Creates a new instance of BatchFTPWebService

Method Summary
`PayloadMessage` | `get(FTPGetMessage fgmIn)` Gets a file to the PayloadMessage.
`com.stc.connector.appconn.common.ApplicationConnection` | `getAC()`
`PayloadMessage` | `getIfExists(FTPGetMessage fgmIn)` Gets a file to the PayloadMessage.
`EmptyMessage` | `put(FTPPutMessage fpmIn)` Puts a payload to a file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchFTPWebService

    public BatchFTPWebService(java.lang.Object app)

  Creates a new instance of BatchFTPWebService

  Parameters:
    `app` - The application associated with this web service.

### BatchFTPWebService

    public BatchFTPWebService(com.stc.connector.appconn.common.ApplicationConnectionFactory acf,
                              java.lang.String collabOID,
                              java.lang.String connName,
                              java.lang.String etdClassName)

  constructor for "manual mode" handling

  Parameters:
    `acf` -
    `collabOID` -
    `connName` -
    `etdClassName` -

Method Detail

### get

    public PayloadMessage get(FTPGetMessage fgmIn)
                       throws java.lang.Exception

  Gets a file to the PayloadMessage.

  Parameters:
    `fgmIn` - An FTPGetMessage.
  Returns:
    The PayloadMessage.
  Throws:
    `The` - exception thrown by the operation.
    `java.lang.Exception`

### getIfExists

    public PayloadMessage getIfExists(FTPGetMessage fgmIn)
                               throws java.lang.Exception

  Gets a file to the PayloadMessage.

  Parameters:
    `fgmIn` - An FTPGetMessage.
    `lfrIn` - A LocalFileReadMessage.
  Returns:
    The PayloadMessage.
  Throws:
    `The` - exception thrown by the operation. Reads a file to the PayloadMessage if the target file tested as existing.
    `The` - exception thrown by the operation. Note, when a target is tested as existing does not guarantee that it still exists when it is actually retrieved. this operation is introduced only to avoid throwing exception when the target is not available (exists) yet. so it is supposed to be used to poll the target over and over until it is available and retrieved; when target not available, the returned message holds a null payload, the next hop should know the semantics of this NULL payload message;
    `java.lang.Exception`

### put

    public EmptyMessage put(FTPPutMessage fpmIn)
                     throws java.lang.Exception

  Puts a payload to a file.

  Parameters:
    `fpmIn` - The FTPPutMessage.
  Returns:
    A dummy message to handle eInsight
  Throws:
    `The` - exception thrown by the operation.
    `java.lang.Exception`

### getAC

    public com.stc.connector.appconn.common.ApplicationConnection getAC()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD